OTBGUI_DYNAMICCONVERT(1)

NAME
otbgui_DynamicConvert - OTB DynamicConvert application

DESCRIPTION
This is the Dynamic Conversion (DynamicConvert) application, version 6.4.0

Change the pixel type and rescale the image's dynamic

Complete documentation: http://www.orfeo-toolbox.org/Applications/DynamicConvert.html or -help

Parameters:

-in <string> Input image (mandatory)

-out                        <string> [pixel] Output Image  [pixel=uint8/uint16/int16/uint32/int32/float/double] (default value is uint8) (mandatory)

-type
    <string> Rescale type [linear/log2] (mandatory, default value is linear)

-type.linear.gamma
    <float> Gamma correction factor (optional, on by default, default value is 1)

-mask
    <string> Input mask (optional, off by default)

-quantile
    <group> Histogram quantile cutting

-quantile.high
    <float> High cut quantile (optional, off by default, default value is 2)

-quantile.low
    <float> Low cut quantile (optional, off by default, default value is 2)

-channels
    <string> Channels selection [all/grayscale/rgb] (mandatory, default value is all)

-channels.grayscale.channel <int32>
    Grayscale channel (mandatory, default value is 1)

-channels.rgb.red
    <int32> Red Channel (mandatory)

-channels.rgb.green
    <int32> Green Channel (mandatory)

-channels.rgb.blue
    <int32> Blue Channel (mandatory)

-outmin
    <float> Output min value (optional, on by default, default value is 0)

-outmax
    <float> Output max value (optional, on by default, default value is 255)

-ram
    <int32> Available RAM (Mb) (optional, off by default, default value is 128)

-inxml
    <string> Load otb application from xml file (optional, off by default)

-progress
    <boolean> Report progress

-help
    <string list> Display long help (empty list), or help for given parameters keys

Use -help param1 [... paramN] to see detailed documentation of those parameters.

EXAMPLES
otbgui_DynamicConvert -in QB_Toulouse_Ortho_XS.tif -out otbConvertWithScalingOutput.png -type linear -channels rgb -outmin 0 -outmax 255